#ifndef RMDP_COMPAT_H
#define RMDP_COMPAT_H

#include<sys/time.h>

#ifdef IRIX
#include<sys/endian.h>
#include<sys/types.h>
#endif

#ifdef HPUX
#include<sys/param.h>
#endif

#ifdef FreeBSD
#include<machine/endian.h>
#endif

#ifdef Linux
#include<endian.h>
#endif

#ifdef SunOS
#include<sys/types.h>
#endif

#ifdef __FreeBSD__
#include <string.h>
#else
#define bcopy(s, d, siz)	memcpy((d), (s), (siz))
#define bzero(d, siz)	memset((d), '\0', (siz))
#endif

#define min(x,y)        (((x)>(y))?(y):(x))
#define max(x,y)        (((x)<(y))?(y):(x))

#endif  /* RMDP_COMPAT_H */
